.site-header {
  margin: 4rem 0;
}

@media (min-width: 768px) { 
  .site-header {
    padding: 1rem 0 0 3rem;
    border-bottom: 1px solid var(--color-panteon-fondo);
    margin: 0;
    background: linear-gradient(to bottom, /* Desplazamiento de arriba hacia abajo */ #f4f4f4 0%, /* Azul inicia */ #f4f4f4 46%, /* Azul ocupa el 20% */ #ffffff 20%, /* Desde aquí comienza el blanco */ #ffffff 100% /* Blanco hasta el final */);
    
  }
}

.title-menu {
  display: none;
}

@media (min-width: 768px) { 
  .title-menu {
    display: block;
    text-align: center;
    font-family: var(--fuente-titulos);
    border-bottom: 1px solid var(--color-panteon-fondo);
    color: var(--color-panteon-fondo);
  }
}

.barra-menu {
  display: flex;
  flex-direction: column;
  align-items: center;
}

@media (min-width: 768px) { 
  .barra-menu {
    display: grid;
    grid-template-columns: 1fr;
    justify-content: space-around;
    align-items: end;
    /* flex-direction: row;
    justify-content: space-around; */
  }
}

@media (min-width: 994px) { 
  .barra-menu {
    grid-template-columns: 1fr 3fr;
  }
}


@media (min-width: 1216px) { 
  .barra-menu {
    grid-template-columns: 2fr 3fr;
  }
}

.site-header .logo {
  margin-bottom: 6rem;
  width: 100%;
  max-width: 300px;
}

@media (min-width: 768px) { 
  .site-header .logo {
    margin-bottom: 1.5rem;
  }
}

.nav-container {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  z-index: 9;
  /* box-shadow: 2px 1px 2px; */
  
}

/* Ocultamos el menu responsivo en pantallas grandes y le damos estilos */
/* CSS */
.menu-btn {
  display: inline-block;
  cursor: pointer;
  padding: 1.2rem;
  background-color: var(--color-panteon-fondo);
  border-radius: 3px;
  border: none;
}

.menu-btn .bar {
  width: 25px;
  height: 3px;
  margin: 4px 0;
  background-color: var(--color-blanco);
  transition: transform 0.3s, opacity 0.3s;

}

.menu-btn.open .bar:nth-child(1) {
  transform: translateY(7px) rotate(45deg);
}
.menu-btn.open .bar:nth-child(2) {
  opacity: 0;
}
.menu-btn.open .bar:nth-child(3) {
  transform: translateY(-7px) rotate(-45deg);
}

.menu-principal {
  opacity: 0;
  max-height: 0;
  visibility: hidden;
  transition: .3s ease-in-out;
}

.menu-principal.open {
  opacity: 1;
  max-height: 40rem;
  visibility: visible;
}


.menu-responsive {
  margin-bottom: 2rem;
}


@media (min-width: 768px) { 
  .menu-responsive {
    display: none;
  }
}

@media (min-width: 768px) { 
  .menu-principal {
    opacity: 1;
    max-height: none!important;
    visibility: visible;
  }
}

.mostrar {
  opacity: 1;
  max-height: 40rem;
  visibility: visible;
}


@media (min-width: 768px) { 
  .nav-container {
    flex-direction: row;
    margin-bottom: 0.5rem;
  }
}

.menu-principal > ul {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 1rem;
}

@media (min-width: 768px) { 
  .menu-principal > ul {
    flex-direction: row;
    margin-bottom: 0;
    gap: 1rem;
  }
}

.menu-principal .menu-item {
  width: 100%;
  text-align: center;
  white-space: nowrap;
}

.menu-principal > ul a {
  display: block;
  width: 100%;
  padding: 1.5rem 2rem 1rem 2rem;
  font-family: var(--fuente-titulos);
  color: var(--color-panteon-fondo);
  position: relative;
  overflow: hidden;
  z-index: 1;
  transition: .3s ease-in-out;
  gap: 1rem;
  font-weight: 500;
  border-radius: 4px;
}
@media (min-width: 768px) { 
  .menu-principal .menu-item {
    /* border-right: 1px dotted var(--color-panteon-fondo); */
    padding-right: 1rem;
    position: relative;
  }

  .menu-item::after {
    content: "";
    position: absolute;
    bottom: 10%;
    right: 0%;             /* empieza desde la mitad */
    width: 1px;            /* controla qué tanto ocupa */
    height: 75%;
    background: #143b6a96;    
  }

  .menu-item:last-child::after {
    all: unset;
  }

}

/* Estilos a la clase que fija el menu en la parte de arriba */
@media (min-width: 992px) { 
  .fixed-top {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 99;
    display: grid;
    justify-content: space-between;
    flex-direction: row;
    background: var(--color-blanco);
    transition: .3s ease-in;
    box-shadow: 0px 2px 5px -1px rgba(25,72,129,0.75);
    -webkit-box-shadow: 0px 2px 5px -1px rgba(25,72,129,0.75);
    -moz-box-shadow: 0px 2px 5px -1px rgba(25,72,129,0.75);
  }

  .admin-bar .fixed-top {
    top: 32px;
  }
}

/* Fondo animado */
/* Hover */
.menu-principal ul li a:hover {
  background: rgba(0, 154, 149, 0.575);
  color: #fff;
}

/* Ítem activo */
.menu-principal ul li.current-menu-item > a,
.menu-principal ul li.current_page_item > a {
  background: var(--color-panteon);
  color: #ffffff !important;
  
}

.redes-sociales {
  display: flex;
  align-items: center;
  width: 100%;
  justify-content: center;
  background-color: #194881;
}

@media (min-width: 768px) { 
  .redes-sociales {
    width: auto;
    background-color: transparent;
  }
}

/* Estilos al campo de busqueda del header */
.header-search-container {
    position: relative;
    display: inline-block;
}

.search-toggle {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 20px;
    padding: 5px;
    color: #333;
}

.search-box {
    position: absolute;
    top: 120%;
    right: 0;
    background: #fff;
    padding: 10px 12px;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.15);
    opacity: 0;
    pointer-events: none;
    transform: translateY(-10px);
    transition: all .25s ease;
    min-width: 220px;
}

/* Cuando está activo */
.search-box.active {
    opacity: 1;
    pointer-events: auto;
    transform: translateY(0);
}

.header-search-container i {
  color: var(--color-panteon);
  font-size: 2.9rem;
  transition: .3s ease-in-out;
}

.header-search-container i:hover {
  color: var(--color-panteon-fondo);
  transform: scale(1.2);
}

.header-search-container .search-submit {
  border: none;
  padding: 0.6rem 3rem;
  margin-top: 1rem;
  background-color: var(--color-panteon);
  color: #fff;
  border-radius: 4px;
  cursor: pointer;
  transition: .3s ease-in;
}

.header-search-container .search-submit:hover {
  background-color: var(--color-panteon-fondo);
}

.header-search-container .search-field {
  border: 1px solid #b3afaf;
  border-radius: 4px;
  padding: 0.6rem 1rem;
  width: 27rem;
}

/* Estilos al toltip del boton de busqueda */
.tooltip {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

.tooltip::after {
    content: attr(style);
}

.tooltip::before {
    content: var(--tooltip-text);
    position: absolute;
    bottom: 120%;
    left: 50%;
    transform: translateX(-50%);
    background: #333;
    color: #fff;
    padding: 6px 10px;
    border-radius: 6px;
    font-size: 12px;
    white-space: nowrap;

    visibility: hidden;
    opacity: 0;
    transition: opacity .25s ease;

    z-index: 999999; /* SUPERIOR A TODO */
}

.tooltip:hover::before {
    visibility: visible;
    opacity: 1;
}












